IAM database authentication - Amazon Relational Database Service
Services or capabilities described in Amazon Web Services documentation might vary by Region. To see the differences applicable to the China Regions, see Getting Started with Amazon Web Services in China.

IAM database authentication

By using IAM database authentication in Amazon RDS, you can authenticate without a password when you connect to a DB instance. Instead, you use an authentication token. For more information, see IAM database authentication for MariaDB, MySQL, and PostgreSQL.

IAM database authentication isn't available with the following engines:

  • RDS for Oracle

  • RDS for SQL Server

IAM database authentication with RDS for MariaDB

Following are the supported engines and Region availability for IAM database authentication with RDS for MariaDB.

Region RDS for MariaDB 10.6 RDS for MariaDB 10.5 RDS for MariaDB 10.4 RDS for MariaDB 10.3
US East (Ohio) Version 10.6 and higher
US East (N. Virginia) Version 10.6 and higher
US West (N. California) Version 10.6 and higher
US West (Oregon) Version 10.6 and higher
Africa (Cape Town) Version 10.6 and higher
Asia Pacific (Hong Kong) Version 10.6 and higher
Asia Pacific (Hyderabad)
Asia Pacific (Jakarta) Version 10.6 and higher
Asia Pacific (Melbourne)
Asia Pacific (Mumbai) Version 10.6 and higher
Asia Pacific (Osaka) Version 10.6 and higher
Asia Pacific (Seoul) Version 10.6 and higher
Asia Pacific (Singapore) Version 10.6 and higher
Asia Pacific (Sydney) Version 10.6 and higher
Asia Pacific (Tokyo) Version 10.6 and higher
Canada (Central) Version 10.6 and higher
China (Beijing) Version 10.6 and higher
China (Ningxia) Version 10.6 and higher
Europe (Frankfurt) Version 10.6 and higher
Europe (Ireland) Version 10.6 and higher
Europe (London) Version 10.6 and higher
Europe (Milan) Version 10.6 and higher
Europe (Paris) Version 10.6 and higher
Europe (Spain)
Europe (Stockholm) Version 10.6 and higher
Europe (Zurich)
Middle East (Bahrain) Version 10.6 and higher
Middle East (UAE)
South America (São Paulo) Version 10.6 and higher
Amazon GovCloud (US-East) Version 10.6 and higher
Amazon GovCloud (US-West) Version 10.6 and higher

IAM database authentication with RDS for MySQL

IAM database authentication with RDS for MySQL is available in all Regions for the following versions:

  • RDS for MySQL 8.0 (All versions)

  • RDS for MySQL 5.7 (All versions)

  • RDS for MySQL 5.6 (All versions)

IAM database authentication with RDS for PostgreSQL

IAM database authentication with RDS for PostgreSQL is available in all Regions for the following versions:

  • RDS for PostgreSQL 14 (All versions)

  • RDS for PostgreSQL 13 (All versions)

  • RDS for PostgreSQL 12 (All versions)

  • RDS for PostgreSQL 11 (All versions)

  • RDS for PostgreSQL 10 (All versions)